%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

Name:           kubernetes-dns
Version:        1.14.7
Release:        2.0.1%{?dist}
BuildArch:      x86_64
Summary:        Kubernetes DNS service for k8s cluster
License:        Apache-2.0
Group:          System/Management
Url:            https://github.com/kubernetes/dns
Source:         dns-%{version}.tar.bz2
Requires:       kubelet
#%{?systemd_requires}

%description
Kubernetes DNS service for k8s cluster

%prep
%setup -q -n dns-%{version}

%build
./build-k8s-dns.sh %{version}

%install
mkdir -p %{buildroot}/usr/local/share/kubeadm
install -m 755 -d %{buildroot}/usr/local/share/kubeadm
images=(k8s-dns-sidecar-amd64.tar k8s-dns-kube-dns-amd64.tar k8s-dns-dnsmasq-nanny-amd64.tar)
for bin in "${images[@]}"; do
  echo "+++ INSTALLING DOCKER IMAGES ${bin}"
  install -p -m 755 -t %{buildroot}/usr/local/share/kubeadm bin/oracle_docker/${bin}
done

%files
%license LICENSE
/usr/local/share/kubeadm/k8s-dns-sidecar-amd64.tar
/usr/local/share/kubeadm/k8s-dns-kube-dns-amd64.tar
/usr/local/share/kubeadm/k8s-dns-dnsmasq-nanny-amd64.tar

%changelog
* Thu Feb 15 2018 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.14.7-2.0.1
- Built production 1.14.7-2.0.1

* Mon Jan 16 2018 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.14.7-1.0.1.dev
- Update to v1.14.7

* Thu Nov 16 2017 Thomas Tanaka <thomas.tanaka@oracle.com> - 1.14.5-2.0.1
- Update to v1.14.5
